package com.company.untitled2.web.screens.customer;

import com.company.untitled2.service.CustomerDataContainerService;
import com.haulmont.cuba.core.global.AppBeans;
import com.haulmont.cuba.core.global.DataLoadContext;
import com.haulmont.cuba.core.global.LoadContext;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.TextField;
import com.haulmont.cuba.gui.components.TextInputField;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import com.company.untitled2.entity.Customer;

import javax.inject.Inject;
import java.util.List;

@UiController("untitled2_Customer.browse")
@UiDescriptor("customer-browse.xml")
@LookupComponent("table")
@LoadDataBeforeShow
public class CustomerBrowse extends MasterDetailScreen<Customer> {

    @Inject
    CustomerDataContainerService customerDataContainerService;

    @Inject
    private CollectionLoader<Customer> customersDl;
    @Inject
    private TextField<String> firstNameTxt;
    @Inject
    private TextField<String> surnameTxt;
    @Inject
    private GroupTable<Customer> table;


    @Install(to = "table", subject = "rowsCountTotalCountDelegate")
    private Long tableRowsCountTotalCountDelegate(DataLoadContext dataLoadContext) {
        return Long.valueOf(customerDataContainerService.getCount());
    }

    @Install(to = "customersDl", target = Target.DATA_LOADER)
    private List<Customer> customersDlLoadDelegate(LoadContext<Customer> loadContext) {
        return customerDataContainerService.getEntities(0,100, firstNameTxt.getValue(), surnameTxt.getValue());
    }

    @Subscribe("surnameTxt")
    public void onSurnameTxtValueChange(HasValue.ValueChangeEvent<String> event) {
        customersDl.load();
    }


    @Subscribe("firstNameTxt")
    public void onFirstNameTxtValueChange(HasValue.ValueChangeEvent<String> event) {
        customersDl.load();

    }








}